@import url('https://fonts.googleapis.com/css2?family=Ubuntu&display=swap');

html, body {
    font-family: 'Ubuntu', sans-serif;
    height: 100%;
}

.wallpaper {
    background: url(../images/wallpaper.png) center fixed;
    background-size: cover;
    height: 100vh;
}

.box {
    position: absolute;
    top: calc(50% + 58px);               /*центр по вертикали начиная от header*/
    left: 50%;                           /*     центр      */
    transform: translate(-50%, -50%);    /* по горизонтали */
    width: 444px;
    height: 584px;
    box-shadow: 0 4px 18px;
    background-color: #FFFFFF;
}

/*---------------------header----------------------*/
.head {
    position: fixed;
    width: 100%;
    height: 58px;
    background-color: rgba(0, 0, 0, 0.4);
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
}

:hover,
:active {
    transition: cubic-bezier(0, .59, .25, .87) 1s; /*общие правила замедления эффекта*/
}

.head-menu-link {
    color: #FFFFFF;
}

.head-menu-link:hover {
    color: #3CB878;
}

.head-menu-link:hover svg path {    /*меняем цвет иконок планировщика при наведении*/
    fill: #3CB878;
    transition: cubic-bezier(0, .59, .25, .87) 1s; /*hover для svg по общим правилам не срабатывает задаем локально*/
}

.head-menu {
    display: flex;
    justify-content: space-between;
}

.menu-list {
    list-style: none;
    display: flex;
    align-items: center;
}

.head-menu-logo {
    max-width: 940px;
    font-weight: 700;
    font-size: 22px;
    line-height: 22px;
    text-transform: uppercase;
    margin: 18px 79px;
}

.head-menu-planner {             /*контейнер иконок планировщика*/
    display: flex;
}

.calendar,                       /*выравниваем иконки*/
.mail,
.time {
    margin-right: 27px;
}

.menu-list li:nth-child(1n+2) { /*стили для "Welcome, Log In" и "or Sign Up"*/
    color: #FFFFFF;
    font-weight: 400;
    font-size: 14px;
    line-height: 14px;
}

.head-menu-in:before { /*перегородка между планировщиком и "Welcome, Log In""or Sign Up"*/
    content: '';
    height: 19px;
    width: 1px;
    border: 1px solid transparent;
    background: rgba(255, 255, 255, 0.9);
    opacity: 0.5;
    margin-right: 27px;
}

.head-menu-out {
    margin-right: 79px;
}

/*---------------------form----------------------*/
.container_form {
    margin: 0 60px 0;
}

.form_input {
    width: 100%;
    min-height: 44px;
    margin-top: 15px;
    border: 1px solid #F2F2F2;
    border-radius: 4px;
    outline: none;
}

.form_input:focus {                           /*тень при фокусе*/
    box-shadow: 0 3px 8px rgba(0, 0, 0, 0.21);
}

input::placeholder {                          /*меняем стиль плэйсхолдера*/
    font-family: Ubuntu, sans-serif;
    font-size: 1.1em;
    color: #BEBEBE;
}

.box_button {                             /*размечаем поле для кнопок, Sign Up и Log In*/
    display: grid;
    grid-template: 29px 1fr / 1fr 1fr;
    margin: 31px 60px 0;
}

.box_button p:nth-child(1) {                  /*цвет и шрифт Sign Up*/
    color: #434343;
    font-size: 20px;
}

.box_button p:nth-child(2) {                  /*прижимаем в право и задаем шрифт Log In*/
    justify-self: end;
    font-size: 14px;
}

.box_button-reg::before {          /*---зеленый квадрат слева от Sign Up---*/
    content: '';
    width: 18px;
    height: 18px;
    background-color: #3CB878;
    position: absolute;
    top: 33px;
    left: 0;
}

/*---------------------общие стили кнопок--------------------------*/
.btn {
    width: 160px;                    /*общие стили для трех кнопок*/
    height: 48px;
    font-family: 'Ubuntu', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    color: #FFFFFF;
    border-radius: 4px;
    border: transparent;
}

.btn:hover {                            /*меняем курсор на палец при наведениии*/
    cursor: pointer;
    box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25);
}

.btn.btn_social {                      /*добавляем для кнопок соцсетей*/
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}

.btn.btn_social::before {              /*псевдоэлемент для кнопок соцсетей*/
    content: '';
    position: absolute;
    height: 28px;
    width: 1px;
    border: 1px solid transparent;
    background: #0A162F;
    opacity: 0.1;
    left: 49px;
}

/*----------------индивидуальные стили кнопок и их active-ы----------------*/
.btn-facebook {
    background-color: #305DB8;
    padding: 0 22px 0 17px;
}

.btn-facebook:active {
    background-color: #022263;
}

.btn-google {
    background-color: #DF4A32;
    padding: 0 27px 0 12px;
}

.btn-google:active {
    background-color: #AB1F09;

}

.btn-registration {
    width: 100%;                /*на всю ширину container_form*/
    margin-top: 20px;
    background: rgba(60, 184, 120, 0.8);
    border: transparent;
}

.btn-registration:active {
    background-color: #01813F;
}

/*---------------------псевдоэлемент подчеркивание or--------------------------*/
.box_button-or p {
    background-color: #FFFFFF;
    color: #848484;
    text-align: center;
    position: absolute;
    padding: 0 5px 0;          /* отодвигаем края линии от or перекрывая их фоном */
}

.box_button-or {
    display: flex;
    justify-content: center;
    margin-top: 28px;
    margin-bottom: 12px;
    position: relative;
}

.box_button-or::before {
    content: '';
    display: block;
    width: calc(100% - 120px);       /* по 60px с каждой стороны отступ от краев box*/
    height: 1px;
    background-color: #848484;
    position: absolute;
    left: 60px;
    bottom: calc(50% - 10px);       /*ровняем по вертикали*/
}

/*---------------------------декорация ссылок в box---------------------------*/
.box_button-log,
.checkbox_acceptance {
    color: #3CB878;                       /*transition для text-decoration: underline; не работает*/
    border-bottom: 0.1em solid transparent;            /*поэтому задаем нижний прозрачный бордер 1px*/
    transition: border-bottom-color cubic-bezier(0, .59, .25, .87) 1s; /*задерживаем переход цвета с transparent в #3CB878 для border-bottom-color */
}

.box_button-log:hover,
.checkbox_acceptance:hover {
    border-bottom-color: #3CB878; /*и окрашиваем его при hover-е*/
}

/*---------------------------checkbox---------------------------*/
.form-checkbox {
    opacity: 0;                                  /*обесцвечиваем дефолтный чекбокс*/
}

.form-checkbox + label {
    display: flex;
    align-items: center;
}

.form-checkbox + label::before {                  /*новый квадратик*/
    content: '';
    width: 1.3em;
    height: 1.3em;
    border: 1px solid #F2F2F2;
    margin-right: 0.5em;
}

.form-checkbox:checked + label::before {           /*новая "галка" при checked-е*/
    background-image: url('../images/vector.svg');
    background-size: 1em;
    background-repeat: no-repeat;
    background-position: center;
}

/*http://prison.kiev.ua/hw7_sign_up_form/*/



